org.jboss.resteasy.core.interception

## Class InterceptorRegistry.AbstractInterceptorFactory

- java.lang.Object
- - org.jboss.resteasy.core.interception.InterceptorRegistry.AbstractInterceptorFactory

- All Implemented Interfaces:
    InterceptorRegistry.InterceptorFactory
  Direct Known Subclasses:
    InterceptorRegistry.PerMethodInterceptorFactory, InterceptorRegistry.SingletonInterceptorFactory
  Enclosing class:
    InterceptorRegistry<T>

      protected abstract class InterceptorRegistry.AbstractInterceptorFactory
      extends Object
      implements InterceptorRegistry.InterceptorFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `order`
    `protected String` | `precedence`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InterceptorRegistry.AbstractInterceptorFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `binding(Class declaring, AccessibleObject target, Object inter)`
    `int` | `getOrder()`
    `String` | `getPrecedence()`
    `protected void` | `setPrecedence(Class<?> clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.core.interception.InterceptorRegistry.InterceptorFactory

      `postMatch, preMatch`

- - ### Field Detail

    - #### precedence

          protected String precedence

    - #### order

          protected int order

  - ### Constructor Detail

    - #### InterceptorRegistry.AbstractInterceptorFactory

          protected InterceptorRegistry.AbstractInterceptorFactory()

  - ### Method Detail

    - #### setPrecedence

          protected void setPrecedence(Class<?> clazz)

    - #### getPrecedence

          public String getPrecedence()

    - #### getOrder

          public int getOrder()

      Specified by:
        `getOrder` in interface `InterceptorRegistry.InterceptorFactory`

    - #### binding

          protected Object binding(Class declaring,
                       AccessibleObject target,
                       Object inter)

Copyright © 2014. All Rights Reserved.